import mods.metatweaker.Factory;

var DragonItems = mods.metatweaker.Factory.createCreativeTab("DragonItems", "metacontent:ItemDragonSword").register();

var ElementalEssence = Factory.createItem("ElementalEssence")
    .setCreativeTab("DragonItems")
    .setHasSubtypes(true)
    .addSubtype("ElementalEssence_1", "metatweaker:dragon/elemental_essence/AirElement")
    .addSubtype("ElementalEssence_2", "metatweaker:dragon/elemental_essence/DarkElement")
    .addSubtype("ElementalEssence_3", "metatweaker:dragon/elemental_essence/EarthElement")
    .addSubtype("ElementalEssence_4", "metatweaker:dragon/elemental_essence/FireElement")
    .addSubtype("ElementalEssence_5", "metatweaker:dragon/elemental_essence/HolyElement")
    .addSubtype("ElementalEssence_6", "metatweaker:dragon/elemental_essence/IceElement")
    .addSubtype("ElementalEssence_7", "metatweaker:dragon/elemental_essence/LightningElement")
    .addSubtype("ElementalEssence_8", "metatweaker:dragon/elemental_essence/NatureElement")
    .register();

var ConcentratedElement = Factory.createItem("ConcentratedElement")
    .setCreativeTab("DragonItems")
    .setHasSubtypes(true)
    .setHasEffect(true)
    .addSubtype("ConcentratedElement_1", "metatweaker:dragon/concentrated_element/compressed_air")
    .addSubtype("ConcentratedElement_2", "metatweaker:dragon/concentrated_element/compressed_chaos")
    .addSubtype("ConcentratedElement_3", "metatweaker:dragon/concentrated_element/compressed_earth")
    .addSubtype("ConcentratedElement_4", "metatweaker:dragon/concentrated_element/compressed_fire")
    .addSubtype("ConcentratedElement_5", "metatweaker:dragon/concentrated_element/compressed_light")
    .addSubtype("ConcentratedElement_6", "metatweaker:dragon/concentrated_element/compressed_ice")
    .addSubtype("ConcentratedElement_7", "metatweaker:dragon/concentrated_element/compressed_lightning")
    .addSubtype("ConcentratedElement_8", "metatweaker:dragon/concentrated_element/compressed_nature")
    .register();






